Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.creditcardvalidator
Class CreditCardVerifier

    java.lang.Object
      org.pentaho.di.trans.steps.creditcardvalidator.CreditCardVerifier

    public class CreditCardVerifier

extends Object

Since:
  03-Juin-2008
Author:
  Samatar

Field Summary
`static int` | `AMERICAN_EXPRESS`
`static int` | `DINERS_CLUB`
`static int` | `EN_ROUTE`
`static int` | `INVALID`
`static int` | `MASTERCARD`
`static int` | `VISA`

Constructor Summary
`CreditCardVerifier()`

Method Summary
`static ReturnIndicator` | `CheckCC(String CardNumber)`
`static int` | `getCardID(String number)`
`static String` | `getCardName(int id)`
`static String` | `getNotValidCardNames(int id)`
`static boolean` | `isNumber(String n)`
`static boolean` | `luhnValidate(String numberString)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### VISA

    public static final int VISA

See Also:
  Constant Field Values

### MASTERCARD

    public static final int MASTERCARD

See Also:
  Constant Field Values

### AMERICAN_EXPRESS

    public static final int AMERICAN_EXPRESS

See Also:
  Constant Field Values

### EN_ROUTE

    public static final int EN_ROUTE

See Also:
  Constant Field Values

### DINERS_CLUB

    public static final int DINERS_CLUB

See Also:
  Constant Field Values

Constructor Detail

### CreditCardVerifier

    public CreditCardVerifier()

Method Detail

### getCardName

    public static String getCardName(int id)

### getNotValidCardNames

    public static String getNotValidCardNames(int id)

### CheckCC

    public static ReturnIndicator CheckCC(String CardNumber)

### luhnValidate

    public static boolean luhnValidate(String numberString)

### getCardID

    public static int getCardID(String number)

### isNumber

    public static boolean isNumber(String n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD